export const trumpAgents = [
  {
    id: "donald",
    name: "Donald Trump",
    role: "45th President",
    avatar: createTrumpAvatar("#FFD700"), // Gold
    personality: "Bombastic, assertive, uses superlatives"
  },
  {
    id: "melania",
    name: "Melania Trump",
    role: "Former First Lady",
    avatar: createTrumpAvatar("#FF69B4"), // Pink
    personality: "Reserved, elegant, protective of family"
  },
  {
    id: "ivanka",
    name: "Ivanka Trump",
    role: "Businesswoman & Former Advisor",
    avatar: createTrumpAvatar("#4169E1"), // Royal Blue
    personality: "Diplomatic, business-focused, polished"
  },
  {
    id: "don_jr",
    name: "Donald Trump Jr.",
    role: "Executive VP at Trump Organization",
    avatar: createTrumpAvatar("#228B22"), // Forest Green
    personality: "Outspoken, conservative, business-oriented"
  },
  {
    id: "eric",
    name: "Eric Trump",
    role: "Executive VP at Trump Organization",
    avatar: createTrumpAvatar("#8B0000"), // Dark Red
    personality: "Business-focused, supportive of family"
  }
];

function createTrumpAvatar(color) {
  return `
    <svg width="50" height="50" viewBox="0 0 50 50">
      <circle cx="25" cy="25" r="20" fill="${color}"/>
      <text x="25" y="32" text-anchor="middle" fill="white" font-size="20">
        ${color === "#FFD700" ? "DT" : color === "#FF69B4" ? "MT" : 
          color === "#4169E1" ? "IT" : color === "#228B22" ? "Jr" : "ET"}
      </text>
    </svg>
  `;
}